
import 'package:flutter/services.dart';

final MethodChannel _globalChannel =
    MethodChannel('plugins.flutter.io/mapmyindia_gl');

Future<void> setRestAPIKey(String key) async {
  await _globalChannel.invokeMethod(
    'setRestAPIKey',
    <String, dynamic>{
      'restAPIKey': key,
    },
  );
}

Future<void> setMapSDKKey(String key) async {
  await _globalChannel.invokeMethod(
    'setMapSDKKey',
    <String, dynamic>{
      'mapSDKKey': key,
    },
  );
}

Future<void> setAtlasClientId(String key) async {
  await _globalChannel.invokeMethod(
    'setAtlasClientId',
    <String, dynamic>{
      'atlasClientId': key,
    },
  );
}

Future<void> setAtlasClientSecret(String key) async {
  await _globalChannel.invokeMethod(
    'setAtlasClientSecret',
    <String, dynamic>{
      'atlasClientSecret': key,
    },
  );
}

Future<void> setAtlasGrantType(String key) async {
  await _globalChannel.invokeMethod(
    'setAtlasGrantType',
    <String, dynamic>{
      'atlasGrantType': key,
    },
  );
}